123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697 |
- # Makefile.in generated by automake 1.12.3 from Makefile.am.
- # Makefile. Generated from Makefile.in by configure.
- # Copyright (C) 1994-2012 Free Software Foundation, Inc.
- # This Makefile.in is free software; the Free Software Foundation
- # gives unlimited permission to copy and/or distribute it,
- # with or without modifications, as long as this notice is preserved.
- # This program is distributed in the hope that it will be useful,
- # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
- # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
- # PARTICULAR PURPOSE.
- am__make_dryrun = \
- { \
- am__dry=no; \
- case $$MAKEFLAGS in \
- *\\[\ \ ]*) \
- echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
- | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
- *) \
- for am__flg in $$MAKEFLAGS; do \
- case $$am__flg in \
- *=*|--*) ;; \
- *n*) am__dry=yes; break;; \
- esac; \
- done;; \
- esac; \
- test $$am__dry = yes; \
- }
- pkgdatadir = $(datadir)/libyadb-a
- pkgincludedir = $(includedir)/libyadb-a
- pkglibdir = $(libdir)/libyadb-a
- pkglibexecdir = $(libexecdir)/libyadb-a
- am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
- install_sh_DATA = $(install_sh) -c -m 644
- install_sh_PROGRAM = $(install_sh) -c
- install_sh_SCRIPT = $(install_sh) -c
- INSTALL_HEADER = $(INSTALL_DATA)
- transform = $(program_transform_name)
- NORMAL_INSTALL = :
- PRE_INSTALL = :
- POST_INSTALL = :
- NORMAL_UNINSTALL = :
- PRE_UNINSTALL = :
- POST_UNINSTALL = :
- subdir = .
- DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
- $(srcdir)/Makefile.in $(top_srcdir)/../depcomp \
- $(top_srcdir)/../install-sh $(top_srcdir)/../missing \
- $(top_srcdir)/configure COPYING INSTALL
- ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
- am__aclocal_m4_deps = $(top_srcdir)/configure.ac
- am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
- $(ACLOCAL_M4)
- am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
- configure.lineno config.status.lineno
- mkinstalldirs = $(install_sh) -d
- CONFIG_CLEAN_FILES =
- CONFIG_CLEAN_VPATH_FILES =
- LIBRARIES = $(noinst_LIBRARIES)
- AR = ar
- ARFLAGS = cru
- libyadb_a_AR = $(AR) $(ARFLAGS)
- libyadb_a_LIBADD =
- am_libyadb_a_OBJECTS = db_card.$(OBJEXT) CDBResultSet.$(OBJEXT) \
- CDBConnect.$(OBJEXT) CDBHelper.$(OBJEXT) CDBConnPool.$(OBJEXT) \
- db_tool.$(OBJEXT) db_area.$(OBJEXT) db_history.$(OBJEXT)
- libyadb_a_OBJECTS = $(am_libyadb_a_OBJECTS)
- DEFAULT_INCLUDES = -I.
- depcomp = $(SHELL) $(top_srcdir)/../depcomp
- am__depfiles_maybe = depfiles
- am__mv = mv -f
- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
- $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
- CXXLD = $(CXX)
- CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
- -o $@
- SOURCES = $(libyadb_a_SOURCES)
- DIST_SOURCES = $(libyadb_a_SOURCES)
- am__can_run_installinfo = \
- case $$AM_UPDATE_INFO_DIR in \
- n|no|NO) false;; \
- *) (install-info --version) >/dev/null 2>&1;; \
- esac
- ETAGS = etags
- CTAGS = ctags
- CSCOPE = cscope
- AM_RECURSIVE_TARGETS = cscope
- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
- distdir = $(PACKAGE)-$(VERSION)
- top_distdir = $(distdir)
- am__remove_distdir = \
- if test -d "$(distdir)"; then \
- find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
- && rm -rf "$(distdir)" \
- || { sleep 5 && rm -rf "$(distdir)"; }; \
- else :; fi
- am__post_remove_distdir = $(am__remove_distdir)
- DIST_ARCHIVES = $(distdir).tar.gz
- GZIP_ENV = --best
- DIST_TARGETS = dist-gzip
- distuninstallcheck_listfiles = find . -type f -print
- am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
- | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
- distcleancheck_listfiles = find . -type f -print
- ACLOCAL = ${SHELL} /home/lemon/resource/ya-serv/missing --run aclocal-1.12
- AMTAR = $${TAR-tar}
- AUTOCONF = ${SHELL} /home/lemon/resource/ya-serv/missing --run autoconf
- AUTOHEADER = ${SHELL} /home/lemon/resource/ya-serv/missing --run autoheader
- AUTOMAKE = ${SHELL} /home/lemon/resource/ya-serv/missing --run automake-1.12
- AWK = gawk
- CC = gcc
- CCDEPMODE = depmode=gcc3
- CFLAGS = -g -O2
- CPPFLAGS =
- CXX = g++
- CXXDEPMODE = depmode=gcc3
- CXXFLAGS = -g
- CYGPATH_W = echo
- DEFS =
- DEPDIR = .deps
- ECHO_C =
- ECHO_N = -n
- ECHO_T =
- EXEEXT =
- INSTALL = /usr/bin/install -c
- INSTALL_DATA = ${INSTALL} -m 644
- INSTALL_PROGRAM = ${INSTALL}
- INSTALL_SCRIPT = ${INSTALL}
- INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
- LDFLAGS =
- LIBOBJS =
- LIBS =
- LTLIBOBJS =
- MAKEINFO = ${SHELL} /home/lemon/resource/ya-serv/missing --run makeinfo
- MKDIR_P = /bin/mkdir -p
- OBJEXT = o
- PACKAGE = libyadb-a
- PACKAGE_BUGREPORT = BUG-REPORT-ADDRESS
- PACKAGE_NAME = libyadb.a
- PACKAGE_STRING = libyadb.a 1.0
- PACKAGE_TARNAME = libyadb-a
- PACKAGE_URL =
- PACKAGE_VERSION = 1.0
- PATH_SEPARATOR = :
- RANLIB = ranlib
- SET_MAKE =
- SHELL = /bin/sh
- STRIP =
- VERSION = 1.0
- abs_builddir = /home/lemon/resource/ya-serv/db
- abs_srcdir = /home/lemon/resource/ya-serv/db
- abs_top_builddir = /home/lemon/resource/ya-serv/db
- abs_top_srcdir = /home/lemon/resource/ya-serv/db
- ac_ct_CC = gcc
- ac_ct_CXX = g++
- am__include = include
- am__leading_dot = .
- am__quote =
- am__tar = $${TAR-tar} chof - "$$tardir"
- am__untar = $${TAR-tar} xf -
- bindir = ${exec_prefix}/bin
- build_alias =
- builddir = .
- datadir = ${datarootdir}
- datarootdir = ${prefix}/share
- docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
- dvidir = ${docdir}
- exec_prefix = ${prefix}
- host_alias =
- htmldir = ${docdir}
- includedir = ${prefix}/include
- infodir = ${datarootdir}/info
- install_sh = ${SHELL} /home/lemon/resource/ya-serv/install-sh
- libdir = ${exec_prefix}/lib
- libexecdir = ${exec_prefix}/libexec
- localedir = ${datarootdir}/locale
- localstatedir = ${prefix}/var
- mandir = ${datarootdir}/man
- mkdir_p = $(MKDIR_P)
- oldincludedir = /usr/include
- pdfdir = ${docdir}
- prefix = /home/lemon/resource/ya-serv/db/../../dist
- program_transform_name = s,x,x,
- psdir = ${docdir}
- sbindir = ${exec_prefix}/sbin
- sharedstatedir = ${prefix}/com
- srcdir = .
- sysconfdir = ${prefix}/etc
- target_alias =
- top_build_prefix =
- top_builddir = .
- top_srcdir = .
- AUTOMAKE_OPTIONS = foreign
- noinst_LIBRARIES = libyadb.a
- AM_CPPFLAGS = -Wall -pthread -m64 -std=c++11 -I${prefix}/include -I/usr/local/mysql/include -I. -I..
- AM_LDFLAGS = -Wall -pthread -m64 -std=c++11 -L${prefix}/lib -L/usr/local/mysql/lib
- libyadb_a_SOURCES = db_card.cpp db_api/CDBResultSet.cpp db_api/CDBConnect.cpp \
- db_api/CDBHelper.cpp db_api/CDBConnPool.cpp db_tool.cpp db_area.cpp db_history.cpp
- EXTRA_DIST =
- all: all-am
- .SUFFIXES:
- .SUFFIXES: .cpp .o .obj
- am--refresh: Makefile
- @:
- $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
- @for dep in $?; do \
- case '$(am__configure_deps)' in \
- *$$dep*) \
- echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
- $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
- && exit 0; \
- exit 1;; \
- esac; \
- done; \
- echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
- $(am__cd) $(top_srcdir) && \
- $(AUTOMAKE) --foreign Makefile
- .PRECIOUS: Makefile
- Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
- @case '$?' in \
- *config.status*) \
- echo ' $(SHELL) ./config.status'; \
- $(SHELL) ./config.status;; \
- *) \
- echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
- cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
- esac;
- $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
- $(SHELL) ./config.status --recheck
- $(top_srcdir)/configure: $(am__configure_deps)
- $(am__cd) $(srcdir) && $(AUTOCONF)
- $(ACLOCAL_M4): $(am__aclocal_m4_deps)
- $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
- $(am__aclocal_m4_deps):
- clean-noinstLIBRARIES:
- -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
- libyadb.a: $(libyadb_a_OBJECTS) $(libyadb_a_DEPENDENCIES) $(EXTRA_libyadb_a_DEPENDENCIES)
- -rm -f libyadb.a
- $(libyadb_a_AR) libyadb.a $(libyadb_a_OBJECTS) $(libyadb_a_LIBADD)
- $(RANLIB) libyadb.a
- mostlyclean-compile:
- -rm -f *.$(OBJEXT)
- distclean-compile:
- -rm -f *.tab.c
- include ./$(DEPDIR)/CDBConnPool.Po
- include ./$(DEPDIR)/CDBConnect.Po
- include ./$(DEPDIR)/CDBHelper.Po
- include ./$(DEPDIR)/CDBResultSet.Po
- include ./$(DEPDIR)/db_area.Po
- include ./$(DEPDIR)/db_card.Po
- include ./$(DEPDIR)/db_history.Po
- include ./$(DEPDIR)/db_tool.Po
- .cpp.o:
- $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
- $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
- # source='$<' object='$@' libtool=no \
- # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
- # $(CXXCOMPILE) -c -o $@ $<
- .cpp.obj:
- $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
- $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
- # source='$<' object='$@' libtool=no \
- # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
- # $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
- CDBResultSet.o: db_api/CDBResultSet.cpp
- $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT CDBResultSet.o -MD -MP -MF $(DEPDIR)/CDBResultSet.Tpo -c -o CDBResultSet.o `test -f 'db_api/CDBResultSet.cpp' || echo '$(srcdir)/'`db_api/CDBResultSet.cpp
- $(am__mv) $(DEPDIR)/CDBResultSet.Tpo $(DEPDIR)/CDBResultSet.Po
- # source='db_api/CDBResultSet.cpp' object='CDBResultSet.o' libtool=no \
- # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
- # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o CDBResultSet.o `test -f 'db_api/CDBResultSet.cpp' || echo '$(srcdir)/'`db_api/CDBResultSet.cpp
- CDBResultSet.obj: db_api/CDBResultSet.cpp
- $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT CDBResultSet.obj -MD -MP -MF $(DEPDIR)/CDBResultSet.Tpo -c -o CDBResultSet.obj `if test -f 'db_api/CDBResultSet.cpp'; then $(CYGPATH_W) 'db_api/CDBResultSet.cpp'; else $(CYGPATH_W) '$(srcdir)/db_api/CDBResultSet.cpp'; fi`
- $(am__mv) $(DEPDIR)/CDBResultSet.Tpo $(DEPDIR)/CDBResultSet.Po
- # source='db_api/CDBResultSet.cpp' object='CDBResultSet.obj' libtool=no \
- # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
- # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o CDBResultSet.obj `if test -f 'db_api/CDBResultSet.cpp'; then $(CYGPATH_W) 'db_api/CDBResultSet.cpp'; else $(CYGPATH_W) '$(srcdir)/db_api/CDBResultSet.cpp'; fi`
- CDBConnect.o: db_api/CDBConnect.cpp
- $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT CDBConnect.o -MD -MP -MF $(DEPDIR)/CDBConnect.Tpo -c -o CDBConnect.o `test -f 'db_api/CDBConnect.cpp' || echo '$(srcdir)/'`db_api/CDBConnect.cpp
- $(am__mv) $(DEPDIR)/CDBConnect.Tpo $(DEPDIR)/CDBConnect.Po
- # source='db_api/CDBConnect.cpp' object='CDBConnect.o' libtool=no \
- # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
- # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o CDBConnect.o `test -f 'db_api/CDBConnect.cpp' || echo '$(srcdir)/'`db_api/CDBConnect.cpp
- CDBConnect.obj: db_api/CDBConnect.cpp
- $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT CDBConnect.obj -MD -MP -MF $(DEPDIR)/CDBConnect.Tpo -c -o CDBConnect.obj `if test -f 'db_api/CDBConnect.cpp'; then $(CYGPATH_W) 'db_api/CDBConnect.cpp'; else $(CYGPATH_W) '$(srcdir)/db_api/CDBConnect.cpp'; fi`
- $(am__mv) $(DEPDIR)/CDBConnect.Tpo $(DEPDIR)/CDBConnect.Po
- # source='db_api/CDBConnect.cpp' object='CDBConnect.obj' libtool=no \
- # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
- # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o CDBConnect.obj `if test -f 'db_api/CDBConnect.cpp'; then $(CYGPATH_W) 'db_api/CDBConnect.cpp'; else $(CYGPATH_W) '$(srcdir)/db_api/CDBConnect.cpp'; fi`
- CDBHelper.o: db_api/CDBHelper.cpp
- $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT CDBHelper.o -MD -MP -MF $(DEPDIR)/CDBHelper.Tpo -c -o CDBHelper.o `test -f 'db_api/CDBHelper.cpp' || echo '$(srcdir)/'`db_api/CDBHelper.cpp
- $(am__mv) $(DEPDIR)/CDBHelper.Tpo $(DEPDIR)/CDBHelper.Po
- # source='db_api/CDBHelper.cpp' object='CDBHelper.o' libtool=no \
- # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
- # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o CDBHelper.o `test -f 'db_api/CDBHelper.cpp' || echo '$(srcdir)/'`db_api/CDBHelper.cpp
- CDBHelper.obj: db_api/CDBHelper.cpp
- $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT CDBHelper.obj -MD -MP -MF $(DEPDIR)/CDBHelper.Tpo -c -o CDBHelper.obj `if test -f 'db_api/CDBHelper.cpp'; then $(CYGPATH_W) 'db_api/CDBHelper.cpp'; else $(CYGPATH_W) '$(srcdir)/db_api/CDBHelper.cpp'; fi`
- $(am__mv) $(DEPDIR)/CDBHelper.Tpo $(DEPDIR)/CDBHelper.Po
- # source='db_api/CDBHelper.cpp' object='CDBHelper.obj' libtool=no \
- # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
- # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o CDBHelper.obj `if test -f 'db_api/CDBHelper.cpp'; then $(CYGPATH_W) 'db_api/CDBHelper.cpp'; else $(CYGPATH_W) '$(srcdir)/db_api/CDBHelper.cpp'; fi`
- CDBConnPool.o: db_api/CDBConnPool.cpp
- $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT CDBConnPool.o -MD -MP -MF $(DEPDIR)/CDBConnPool.Tpo -c -o CDBConnPool.o `test -f 'db_api/CDBConnPool.cpp' || echo '$(srcdir)/'`db_api/CDBConnPool.cpp
- $(am__mv) $(DEPDIR)/CDBConnPool.Tpo $(DEPDIR)/CDBConnPool.Po
- # source='db_api/CDBConnPool.cpp' object='CDBConnPool.o' libtool=no \
- # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
- # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o CDBConnPool.o `test -f 'db_api/CDBConnPool.cpp' || echo '$(srcdir)/'`db_api/CDBConnPool.cpp
- CDBConnPool.obj: db_api/CDBConnPool.cpp
- $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT CDBConnPool.obj -MD -MP -MF $(DEPDIR)/CDBConnPool.Tpo -c -o CDBConnPool.obj `if test -f 'db_api/CDBConnPool.cpp'; then $(CYGPATH_W) 'db_api/CDBConnPool.cpp'; else $(CYGPATH_W) '$(srcdir)/db_api/CDBConnPool.cpp'; fi`
- $(am__mv) $(DEPDIR)/CDBConnPool.Tpo $(DEPDIR)/CDBConnPool.Po
- # source='db_api/CDBConnPool.cpp' object='CDBConnPool.obj' libtool=no \
- # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
- # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o CDBConnPool.obj `if test -f 'db_api/CDBConnPool.cpp'; then $(CYGPATH_W) 'db_api/CDBConnPool.cpp'; else $(CYGPATH_W) '$(srcdir)/db_api/CDBConnPool.cpp'; fi`
- ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
- list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
- unique=`for i in $$list; do \
- if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
- done | \
- $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
- END { if (nonempty) { for (i in files) print i; }; }'`; \
- mkid -fID $$unique
- tags: TAGS
- TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
- $(TAGS_FILES) $(LISP)
- set x; \
- here=`pwd`; \
- list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
- unique=`for i in $$list; do \
- if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
- done | \
- $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
- END { if (nonempty) { for (i in files) print i; }; }'`; \
- shift; \
- if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
- test -n "$$unique" || unique=$$empty_fix; \
- if test $$# -gt 0; then \
- $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
- "$$@" $$unique; \
- else \
- $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
- $$unique; \
- fi; \
- fi
- ctags: CTAGS
- CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
- $(TAGS_FILES) $(LISP)
- list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
- unique=`for i in $$list; do \
- if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
- done | \
- $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
- END { if (nonempty) { for (i in files) print i; }; }'`; \
- test -z "$(CTAGS_ARGS)$$unique" \
- || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
- $$unique
- GTAGS:
- here=`$(am__cd) $(top_builddir) && pwd` \
- && $(am__cd) $(top_srcdir) \
- && gtags -i $(GTAGS_ARGS) "$$here"
- cscope: cscope.files
- test ! -s cscope.files \
- || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
- clean-cscope:
- -rm -f cscope.files
- cscope.files: clean-cscope cscopelist
- cscopelist: $(HEADERS) $(SOURCES) $(LISP)
- list='$(SOURCES) $(HEADERS) $(LISP)'; \
- case "$(srcdir)" in \
- [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
- *) sdir=$(subdir)/$(srcdir) ;; \
- esac; \
- for i in $$list; do \
- if test -f "$$i"; then \
- echo "$(subdir)/$$i"; \
- else \
- echo "$$sdir/$$i"; \
- fi; \
- done >> $(top_builddir)/cscope.files
- distclean-tags:
- -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
- -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
- distdir: $(DISTFILES)
- $(am__remove_distdir)
- test -d "$(distdir)" || mkdir "$(distdir)"
- @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
- topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
- list='$(DISTFILES)'; \
- dist_files=`for file in $$list; do echo $$file; done | \
- sed -e "s|^$$srcdirstrip/||;t" \
- -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
- case $$dist_files in \
- */*) $(MKDIR_P) `echo "$$dist_files" | \
- sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
- sort -u` ;; \
- esac; \
- for file in $$dist_files; do \
- if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
- if test -d $$d/$$file; then \
- dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
- if test -d "$(distdir)/$$file"; then \
- find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
- fi; \
- if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
- cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
- find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
- fi; \
- cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
- else \
- test -f "$(distdir)/$$file" \
- || cp -p $$d/$$file "$(distdir)/$$file" \
- || exit 1; \
- fi; \
- done
- -test -n "$(am__skip_mode_fix)" \
- || find "$(distdir)" -type d ! -perm -755 \
- -exec chmod u+rwx,go+rx {} \; -o \
- ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
- ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
- ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
- || chmod -R a+r "$(distdir)"
- dist-gzip: distdir
- tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
- $(am__post_remove_distdir)
- dist-bzip2: distdir
- tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
- $(am__post_remove_distdir)
- dist-lzip: distdir
- tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
- $(am__post_remove_distdir)
- dist-xz: distdir
- tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
- $(am__post_remove_distdir)
- dist-tarZ: distdir
- tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
- $(am__post_remove_distdir)
- dist-shar: distdir
- shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
- $(am__post_remove_distdir)
- dist-zip: distdir
- -rm -f $(distdir).zip
- zip -rq $(distdir).zip $(distdir)
- $(am__post_remove_distdir)
- dist dist-all:
- $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
- $(am__post_remove_distdir)
- # This target untars the dist file and tries a VPATH configuration. Then
- # it guarantees that the distribution is self-contained by making another
- # tarfile.
- distcheck: dist
- case '$(DIST_ARCHIVES)' in \
- *.tar.gz*) \
- GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
- *.tar.bz2*) \
- bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
- *.tar.lz*) \
- lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
- *.tar.xz*) \
- xz -dc $(distdir).tar.xz | $(am__untar) ;;\
- *.tar.Z*) \
- uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
- *.shar.gz*) \
- GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
- *.zip*) \
- unzip $(distdir).zip ;;\
- esac
- chmod -R a-w $(distdir)
- chmod u+w $(distdir)
- mkdir $(distdir)/_build $(distdir)/_inst
- chmod a-w $(distdir)
- test -d $(distdir)/_build || exit 0; \
- dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
- && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
- && am__cwd=`pwd` \
- && $(am__cd) $(distdir)/_build \
- && ../configure --srcdir=.. --prefix="$$dc_install_base" \
- $(AM_DISTCHECK_CONFIGURE_FLAGS) \
- $(DISTCHECK_CONFIGURE_FLAGS) \
- && $(MAKE) $(AM_MAKEFLAGS) \
- && $(MAKE) $(AM_MAKEFLAGS) dvi \
- && $(MAKE) $(AM_MAKEFLAGS) check \
- && $(MAKE) $(AM_MAKEFLAGS) install \
- && $(MAKE) $(AM_MAKEFLAGS) installcheck \
- && $(MAKE) $(AM_MAKEFLAGS) uninstall \
- && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
- distuninstallcheck \
- && chmod -R a-w "$$dc_install_base" \
- && ({ \
- (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
- && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
- && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
- && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
- distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
- } || { rm -rf "$$dc_destdir"; exit 1; }) \
- && rm -rf "$$dc_destdir" \
- && $(MAKE) $(AM_MAKEFLAGS) dist \
- && rm -rf $(DIST_ARCHIVES) \
- && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
- && cd "$$am__cwd" \
- || exit 1
- $(am__post_remove_distdir)
- @(echo "$(distdir) archives ready for distribution: "; \
- list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
- sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
- distuninstallcheck:
- @test -n '$(distuninstallcheck_dir)' || { \
- echo 'ERROR: trying to run $@ with an empty' \
- '$$(distuninstallcheck_dir)' >&2; \
- exit 1; \
- }; \
- $(am__cd) '$(distuninstallcheck_dir)' || { \
- echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
- exit 1; \
- }; \
- test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
- || { echo "ERROR: files left after uninstall:" ; \
- if test -n "$(DESTDIR)"; then \
- echo " (check DESTDIR support)"; \
- fi ; \
- $(distuninstallcheck_listfiles) ; \
- exit 1; } >&2
- distcleancheck: distclean
- @if test '$(srcdir)' = . ; then \
- echo "ERROR: distcleancheck can only run from a VPATH build" ; \
- exit 1 ; \
- fi
- @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
- || { echo "ERROR: files left in build directory after distclean:" ; \
- $(distcleancheck_listfiles) ; \
- exit 1; } >&2
- check-am: all-am
- check: check-am
- all-am: Makefile $(LIBRARIES)
- installdirs:
- install: install-am
- install-exec: install-exec-am
- install-data: install-data-am
- uninstall: uninstall-am
- install-am: all-am
- @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
- installcheck: installcheck-am
- install-strip:
- if test -z '$(STRIP)'; then \
- $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
- install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
- install; \
- else \
- $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
- install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
- "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
- fi
- mostlyclean-generic:
- clean-generic:
- distclean-generic:
- -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
- -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
- maintainer-clean-generic:
- @echo "This command is intended for maintainers to use"
- @echo "it deletes files that may require special tools to rebuild."
- clean: clean-am
- clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
- distclean: distclean-am
- -rm -f $(am__CONFIG_DISTCLEAN_FILES)
- -rm -rf ./$(DEPDIR)
- -rm -f Makefile
- distclean-am: clean-am distclean-compile distclean-generic \
- distclean-tags
- dvi: dvi-am
- dvi-am:
- html: html-am
- html-am:
- info: info-am
- info-am:
- install-data-am:
- install-dvi: install-dvi-am
- install-dvi-am:
- install-exec-am:
- install-html: install-html-am
- install-html-am:
- install-info: install-info-am
- install-info-am:
- install-man:
- install-pdf: install-pdf-am
- install-pdf-am:
- install-ps: install-ps-am
- install-ps-am:
- installcheck-am:
- maintainer-clean: maintainer-clean-am
- -rm -f $(am__CONFIG_DISTCLEAN_FILES)
- -rm -rf $(top_srcdir)/autom4te.cache
- -rm -rf ./$(DEPDIR)
- -rm -f Makefile
- maintainer-clean-am: distclean-am maintainer-clean-generic
- mostlyclean: mostlyclean-am
- mostlyclean-am: mostlyclean-compile mostlyclean-generic
- pdf: pdf-am
- pdf-am:
- ps: ps-am
- ps-am:
- uninstall-am:
- .MAKE: install-am install-strip
- .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
- clean-cscope clean-generic clean-noinstLIBRARIES cscope \
- cscopelist ctags dist dist-all dist-bzip2 dist-gzip dist-lzip \
- dist-shar dist-tarZ dist-xz dist-zip distcheck distclean \
- distclean-compile distclean-generic distclean-tags \
- distcleancheck distdir distuninstallcheck dvi dvi-am html \
- html-am info info-am install install-am install-data \
- install-data-am install-dvi install-dvi-am install-exec \
- install-exec-am install-html install-html-am install-info \
- install-info-am install-man install-pdf install-pdf-am \
- install-ps install-ps-am install-strip installcheck \
- installcheck-am installdirs maintainer-clean \
- maintainer-clean-generic mostlyclean mostlyclean-compile \
- mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
- uninstall-am
- # Tell versions [3.59,3.63) of GNU make to not export all variables.
- # Otherwise a system limit (for SysV at least) may be exceeded.
- .NOEXPORT:
|